# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_with ehcache
%bcond_without repolib

%global namedversion %{version}
%global projectversion %{version}
%global httpcoreversion 4.1.4
%global httpclientversion 4.1.3

%define reltag _redhat_1
%define namedreltag -redhat-1
%global projectnamedversion %{projectversion}%{?namedreltag}
%global httpcorenamedversion %{httpcoreversion}%{?namedreltag}
%global httpclientnamedversion %{httpclientversion}%{?namedreltag}

Name:           httpcomponents
Version:        5
Release:        1%{?reltag}%{?dist}
Epoch:          0
Summary:        Components to build HTTP enabled services
License:        ASL 2.0
Group:          Development/Libraries/Java
URL:            http://hc.apache.org/
%if 0
rm -rf httpcomponents-5/ httpcomponents-5.tar.bz2
svn export -r 1169803 http://svn.apache.org/repos/asf/httpcomponents/project/tags/5-RC1 httpcomponents-5/project && \
svn export -r {20120202T1310-0500} http://svn.apache.org/repos/asf/httpcomponents/httpclient/tags/4.1.3 httpcomponents-5/httpclient && \
svn export -r {20111218T1643-0500} http://svn.apache.org/repos/asf/httpcomponents/httpcore/tags/4.1.4-RC2 httpcomponents-5/httpcore && \
tar cjf httpcomponents-5.tar.bz2 httpcomponents-5
%endif
Source0:        httpcomponents-5.tar.bz2
Patch0:         hc-project-no-clover.patch
Patch1:         hc-httpclient-maven-notice-plugin-version.patch
Patch2:         hc-httpclient-no-clover.patch
Patch3:         hc-httpclient-pom-versions.patch
Patch4:         hc-httpcore-no-clover.patch
Patch5:         hc-httpclient-no-ehcache.patch
Patch6:         httpcomponents-pom-versions.patch
Patch7:         httpcomponents-no-repository.patch
BuildRequires:  apache-commons-parent
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-plugin-site
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  org.osgi.core
BuildRequires:  jboss-parent
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant protocol
used on the Internet today. Web services, network-enabled appliances and the
growth of network computing continue to expand the role of the HTTP protocol
beyond user-driven web browsers, while increasing the number of applications
that require HTTP support.

Designed for extension while providing robust support for the base HTTP
protocol, the HttpComponents may be of interest to anyone building HTTP-aware
client and server applications such as web browsers, web spiders, HTTP proxies,
web service transport libraries, or systems that leverage or extend the HTTP
protocol for distributed communication.

%package project
Version:        %{projectversion}
Summary:        HttpComponents
Group:          Development/Libraries/Java
Obsoletes:      hc-project < %{epoch}:%{projectversion}-%{release}
Provides:       hc-project = %{epoch}:%{projectversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       %{name}-httpclient = %{epoch}:%{httpclientversion}-%{release}
Requires:       %{name}-httpcore = %{epoch}:%{httpcoreversion}-%{release}

%description project
Components to build HTTP enabled services.

%package httpcore
Version:        %{httpcoreversion}
Summary:        HttpComponents Core
Group:          Development/Libraries/Java
Obsoletes:      jakarta-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       jakarta-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Obsoletes:      hc-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       hc-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-surefire
BuildRequires:  docbkx
BuildRequires:  docbook-xml
BuildRequires:  maven-notice-plugin
BuildRequires:  junit4

%description httpcore
Core components to build HTTP enabled services.

%package httpclient
Version:        %{httpclientversion}
Summary:        HttpComponents Client
Group:          Development/Libraries/Java
Obsoletes:      hc-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       hc-httpclient = %{epoch}:%{httpclientversion}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       %{name}-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Requires:       commons-codec
Requires:       slf4j
BuildRequires:  commons-codec
BuildRequires:  slf4j
BuildRequires:  mockito
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  docbkx
BuildRequires:  docbook-xml
BuildRequires:  maven-notice-plugin
BuildRequires:  junit4
%if %with ehcache
BuildRequires:  ehcache-parent
BuildRequires:  ehcache-core
%endif
BuildRequires:  easymock-classextension2
BuildRequires:  easymock2
BuildRequires:  slf4j
BuildRequires:  spymemcached

%description httpclient
Components to build client side HTTP services.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
pushd project
%patch0 -p0 -b .sav0
popd
pushd httpclient
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2
%patch3 -p0 -b .sav3
popd
pushd httpcore
%patch4 -p0 -b .sav4
popd
%if %without ehcache
pushd httpclient
%patch5 -p0 -b .sav5
%{__rm} httpclient-cache/src/main/java/org/apache/http/impl/client/cache/ehcache/EhcacheHttpCacheStorage.java
%{__rm} httpclient-cache/src/test/java/org/apache/http/impl/client/cache/ehcache/TestEhcacheHttpCacheStorage.java
%{__rm} httpclient-cache/src/test/java/org/apache/http/impl/client/cache/ehcache/TestEhcacheProtocolRequirements.java
popd
%endif
%patch6 -p1 -b .sav6
%patch7 -p1 -b .sav7

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file://`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g"
pushd project
# XXX: set maven.test.failure.ignore because tests require networking
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -Dmaven.test.failure.ignore -Prelease -Dgpg.skip deploy javadoc:aggregate
popd

%install
%{__rm} -rf %{buildroot}

%if 0
org/apache/httpcomponents/httpcomponents-client/4.1.3-redhat-1/httpcomponents-client-4.1.3-redhat-1-site.xml
org/apache/httpcomponents/httpcomponents-core/4.1.4-redhat-1/httpcomponents-core-4.1.4-redhat-1-site.xml
org/apache/httpcomponents/project/5-redhat-1/project-5-redhat-1-site.xml
%endif

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient-cache/%{httpclientnamedversion}/httpclient-cache-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient-cache/%{httpclientnamedversion}/httpclient-cache-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient-osgi/%{httpclientnamedversion}/httpclient-osgi-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient-osgi/%{httpclientnamedversion}/httpclient-osgi-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient/%{httpclientnamedversion}/httpclient-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient/%{httpclientnamedversion}/httpclient-%{httpclientnamedversion}-tests.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient/%{httpclientnamedversion}/httpclient-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore-nio/%{httpcorenamedversion}/httpcore-nio-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore-nio/%{httpcorenamedversion}/httpcore-nio-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore-osgi/%{httpcorenamedversion}/httpcore-osgi-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore-osgi/%{httpcorenamedversion}/httpcore-osgi-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore/%{httpcorenamedversion}/httpcore-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore/%{httpcorenamedversion}/httpcore-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpmime/%{httpclientnamedversion}/httpmime-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpmime/%{httpclientnamedversion}/httpmime-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{httpclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpclientnamedversion}||g"`; done)
if [ "%{httpcorenamedversion}" != "%{httpclientnamedversion}" ]; then
(cd %{buildroot}%{_javadir} && for jar in *-%{httpcorenamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpcorenamedversion}||g"`; done)
fi

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient-cache/%{httpclientnamedversion}/httpclient-cache-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient-cache.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient-osgi/%{httpclientnamedversion}/httpclient-osgi-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient-osgi.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpclient/%{httpclientnamedversion}/httpclient-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcomponents-client/%{httpclientnamedversion}/httpcomponents-client-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-client.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcomponents-core/%{httpcorenamedversion}/httpcomponents-core-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-core.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore-nio/%{httpcorenamedversion}/httpcore-nio-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-nio.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore-osgi/%{httpcorenamedversion}/httpcore-osgi-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-osgi.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpcore/%{httpcorenamedversion}/httpcore-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/httpmime/%{httpclientnamedversion}/httpmime-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpmime.pom
%{__cp} -p maven2-brew/org/apache/httpcomponents/project/%{projectnamedversion}/project-%{projectnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom

# depmaps
%add_to_maven_depmap org.apache.httpcomponents httpclient-cache %{httpclientnamedversion} JPP httpclient-cache
%add_to_maven_depmap org.apache.httpcomponents httpclient-osgi %{httpclientnamedversion} JPP httpclient-osgi
%add_to_maven_depmap org.apache.httpcomponents httpclient %{httpclientnamedversion} JPP httpclient
%add_to_maven_depmap org.apache.httpcomponents httpmime %{httpclientnamedversion} JPP httpmime
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-client %{httpclientnamedversion} JPP httpcomponents-client
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-httpclient
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-core %{httpcorenamedversion} JPP httpcomponents-core
%add_to_maven_depmap org.apache.httpcomponents httpcore-nio %{httpcorenamedversion} JPP httpcore-nio
%add_to_maven_depmap org.apache.httpcomponents httpcore-osgi %{httpcorenamedversion} JPP httpcore-osgi
%add_to_maven_depmap org.apache.httpcomponents httpcore %{httpcorenamedversion} JPP httpcore
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-httpcore
%add_to_maven_depmap org.apache.httpcomponents project %{projectnamedversion} JPP %{name}-project
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name}  %{buildroot}%{_mavendepmapfragdir}/%{name}-project

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr project/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post project
%update_maven_depmap

%postun project
%update_maven_depmap 

%post httpcore
%update_maven_depmap

%postun httpcore
%update_maven_depmap 

%post httpclient
%update_maven_depmap

%postun httpclient
%update_maven_depmap 

%files project
%defattr(0644,root,root,0755)
%doc project/jakarta-httpcomponents-charter.txt project/KEYS project/LICENSE.txt project/NOTICE.txt
%{_mavenpomdir}/JPP-%{name}-project.pom
%{_mavendepmapfragdir}/%{name}-project

%files httpcore
%defattr(0644,root,root,0755)
%doc httpcore/BUILDING.txt httpcore/LICENSE.txt httpcore/NOTICE.txt httpcore/README.txt httpcore/RELEASE\_NOTES.txt
%{_javadir}*/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{_javadir}*/httpcore-nio-sources.jar
%{_javadir}*/httpcore-nio-%{httpcorenamedversion}.jar
%{_javadir}*/httpcore-nio.jar
%{_javadir}*/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{_javadir}*/httpcore-osgi-sources.jar
%{_javadir}*/httpcore-osgi-%{httpcorenamedversion}.jar
%{_javadir}*/httpcore-osgi.jar
%{_javadir}*/httpcore-%{httpcorenamedversion}-sources.jar
%{_javadir}*/httpcore-sources.jar
%{_javadir}*/httpcore-%{httpcorenamedversion}.jar
%{_javadir}*/httpcore.jar
%{_mavenpomdir}/JPP-httpcomponents-core.pom
%{_mavenpomdir}/JPP-httpcore-nio.pom
%{_mavenpomdir}/JPP-httpcore-osgi.pom
%{_mavenpomdir}/JPP-httpcore.pom
%{_mavendepmapfragdir}/%{name}-httpcore

%files httpclient
%defattr(0644,root,root,0755)
%doc httpclient/BUILDING.txt httpclient/LICENSE.txt httpclient/NOTICE.txt httpclient/README.txt httpclient/RELEASE\_NOTES.txt
%{_javadir}*/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{_javadir}*/httpclient-cache-sources.jar
%{_javadir}*/httpclient-cache-%{httpclientnamedversion}.jar
%{_javadir}*/httpclient-cache.jar
%{_javadir}*/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{_javadir}*/httpclient-osgi-sources.jar
%{_javadir}*/httpclient-osgi-%{httpclientnamedversion}.jar
%{_javadir}*/httpclient-osgi.jar
%{_javadir}*/httpclient-%{httpclientnamedversion}-sources.jar
%{_javadir}*/httpclient-sources.jar
%{_javadir}*/httpclient-%{httpclientnamedversion}-tests.jar
%{_javadir}*/httpclient-tests.jar
%{_javadir}*/httpclient-%{httpclientnamedversion}.jar
%{_javadir}*/httpclient.jar
%{_javadir}*/httpmime-%{httpclientnamedversion}-sources.jar
%{_javadir}*/httpmime-sources.jar
%{_javadir}*/httpmime-%{httpclientnamedversion}.jar
%{_javadir}*/httpmime.jar
%{_mavenpomdir}/JPP-httpclient-cache.pom
%{_mavenpomdir}/JPP-httpclient-osgi.pom
%{_mavenpomdir}/JPP-httpclient.pom
%{_mavenpomdir}/JPP-httpcomponents-client.pom
%{_mavenpomdir}/JPP-httpmime.pom
%{_mavendepmapfragdir}/%{name}-httpclient

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue May 01 2012 David Walluck <dwalluck@redhat.com> 0:5-1
- remove repository info (resolves JBPAPP-8878)

* Wed Apr 04 2012 David Walluck <dwalluck@redhat.com> 0:5-0.3
- improve pom patch (JBPAPP-8599)

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:5-0.2_redhat_1.1
- Rebuild using cache signing

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:5-0.2
- move repolib to standard location

* Tue Feb 21 2012 David Walluck <dwalluck@redhat.com> 0:5-0.1
- project-5, httpcore-4.1.4, httpclient-4.1.3
- re-diff patches
- move files to %%{_javadir}

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.8
- replace commons-logging by jcl-over-slf4j

* Mon Oct 24 2011 Lin Gao <lgao@redhat.com> 0:4.1.1-0.7_redhat_1
- change the commons-codec to 1.4-redhat-1

* Fri Sep 23 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.6_redhat_1
- use SVN revision 1034755 of project 4.1.1 as in maven central
- use httpcore and httpclient 4.1.2

* Wed Sep 21 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.5_redhat_1
- fix Provides/Obsoletes
- fix versions
- change to using patch for redhat versions
- add doc for httpclient

* Wed Sep 21 2011 Yong Yang <yyang@redhat.com> 0:4.1.1-0.4_redhat_1
- Bump release number

* Tue Sep 20 2011 Yong Yang <yyang@redhat.com> 0:4.1.1-0.3_redhat_1
- Build for werewolf

* Wed Aug 03 2011 Weinan Li <weli@redhat.com> 0:4.1.1-0.2
- Fix the incorrect httpcore version requirement for package project

* Mon Aug 01 2011 David Walluck <dwalluck@redhat.com> 0:4.1.1-0.1
- release
